fuss-client - Segnalazione #355

Problemi con audio non funzionante per utenti
07/21/2017 12:12 PM - Elena Grandi
Assignee: Michael Guggenberg % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Ho ricevuto segnalazione che l'audio su fuss-client non funziona per utenti dotati di permessi audio, funzionando invece per root.

Ho pero fatto prove locali e non riesco a riprodurlo: sia un utente esistente che un utente nuovo creato apposta (da octonet) riescono
a sentire audio senza problemi.

Perché I'audio funzionasse ho dovuto alzare i volumi, sia sulla scheda pulseaudio che su quella sottostante alsa, ma la cosa era vera
anche per root, e una volta alzati con root erano gia al livello giusto anche per gli utenti.

E possibile avere qualche info in pili sull'ambiente in cui si presenta il problema?

History

#1 - 07/21/2017 01:35 PM - Michael Guggenberg

[utente@pc:~]aplay /usr/share/tuxtype/sounds/winfinal.wav
ALSA lib pcm_direct.c:1656:(snd1_pcm_direct_parse_open_conf) The field ipc_gid must be a valid group (create group audio)
aplay: main:722: audio open error: Argomento non valido

id
uid=10011(castanagiuseppe) gid=516(docenti) gruppi=516(docenti),24(cdrom),29(audio),46(plugdev),116(scanner)

#2 - 07/21/2017 02:27 PM - Elena Grandi

- Assignee changed from Michael Guggenberg to Elena Grandi

Per le prove iniziali avevo usato firefox e chromium e dei video su youtube.
Ho provato anche quel comando, e il mio risultato & Playing WAVE '/usr/share/tuxtype/sounds/winfinal.wav'... e il suono viene riprodotto.

il risultato del comando id & simile, con gli stessi gruppi/permessi (cdrom, audio, plugdev, scanner)

#3 - 07/21/2017 02:45 PM - Elena Grandi

- Assignee changed from Elena Grandi to Michael Guggenberg

ehm, sbagliata riassegnazione

#4 - 07/24/2017 04:27 PM - Michael Guggenberg

posso vedere i permessi del utente (output di id) dove effetuato la prova con sucesso?

#5 - 07/24/2017 04:27 PM - Michael Guggenberg

- Assignee changed from Michael Guggenberg to Elena Grandi
#6 - 07/25/2017 09:05 AM - Paolo Dongilli

- Assignee changed from Elena Grandi to Michael Guggenberg

Scusate l'intromissione.
Michael, controlla se
/etc/group

ha i permessi di lettura per tutti.

#7 - 07/25/2017 11:26 AM - Elena Grandi

Come dicevo sopra, I'utente con cui avevo fatto le prove apparteneva ai gruppi cdrom, audio, plugdev, scanner.

Dopo aver piallato la macchina virtuale e ricreata per controllare la fix di #356 ho lanciato id per rispondere a questo ticket e il risultato & stato:

[elena@clientclone:~]id
uid=10000(elena) gid=513(Domain Users) gruppi=513(Domain Users)
ma continuo a sentire I'audio senza nessun problema.

Forse ho un'indizio su cui indagare pero: sulla macchina che ha problemi, in /etc/group risulta che I'utente pulse appartiene al gruppo audio, oppure
manca?

#8 - 07/25/2017 11:37 AM - Elena Grandi

Dopo un riavvio (il primo dopo che era stato lanciato fuss-client -a):
[elena@clientclone:~]id

1uid=10000 (elena) gid=513 (Domain Users) gruppi=513 (Domain Users), 24 (cdrom),29 (audio), 46 (plugdev),116 (scanner)

I'audio si continua a sentire, ma l'utente pulse non € piu nel gruppo audio.

(sospetto che nel caso possa essere una differenza tra permessi delle macchine virtuali e permessi sulle macchine reali, anche se non capisco
perché debba esserci)
https://work.fuss.bz.it/issues/356

#9 - 08/29/2017 08:03 PM - Michael Guggenberg

Il demone pulseaudio non crea il sink nella home montata in nfs4.
/var/log/syslog:
Failed to create secure directory (/home/user/.config/pulse): Permission denied

Se faccio login come un utente locale pulse funziona correttamente.
Forzando il mount della directory home in nfs versione 3 torna coretto funzionamento del demone, pulse crea il sink.
Ho aggiunto I'opzione di mount nfsvers=3 in /etc/systemd/system/home.mount.

https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1347748
Purtruppo adesso velocemente non trovo bug report correlato per debian jessie.
Propongo di condividere le home in nfs3 da fuss-server.

#10 - 08/29/2017 08:03 PM - Michael Guggenberg
- Assignee changed from Michael Guggenberg to TRUELITE

- Priority changed from Normale to Urgente

#11 - 08/30/2017 09:17 AM - Christopher R. Gabriel
- Assignee changed from TRUELITE to Elena Grandi

#12 - 08/30/2017 10:58 AM - Elena Grandi

- Assignee changed from Elena Grandi to Michael Guggenberg

Chiederei di verificare una cosa: & stato verificato che l'utente in questione possa scrivere sulla sua home?
Ho provato a verificare localmente e con la home montata in nfs4 e /home/user/.config/pulse viene creata correttamente.

nfs3 non si pud usare perché non permette di verificare le credenziali degli utenti.

#13 - 08/31/2017 11:53 AM - Elena Grandi

Un'altra domanda: che operazioni sono state fatte per montare le home in nfs3?

Provandoci localmente dal client il mount viene giustamente rifiutato.

#14 - 09/01/2017 03:32 PM - Michael Guggenberg

/etc/systemd/system/home.mount
alle opzioni di mount aggiunto nfsvers=3

#15 - 09/01/2017 03:34 PM - Michael Guggenberg
- Assignee changed from Michael Guggenberg to TRUELITE

#16 - 09/01/2017 03:34 PM - Christopher R. Gabriel
- Assignee changed from TRUELITE to Simone Piccardi
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1347748

#17 - 09/04/2017 07:35 PM - Simone Piccardi
- Status changed from Nuovo to Commenti

- Assignee changed from Simone Piccardi to Michael Guggenberg

Con la versione 8.0.20 del fuss-client il problema di unmatching degli UID (vedi #392) viene risolto. Questo dovrebbe risolvere il problema di
creazione di /home/user/.config/pulse senza dover fare il downgrade di della versione di NFS (che elena non verificava in quanto non aveva un
numero sufficiente di utenti per far scattare il limite che bloccava idmapd).

#18 - 09/11/2017 01:26 PM - Michael Guggenberg
- % Done changed from 0 to 100

#19 - 09/11/2017 01:26 PM - Michael Guggenberg

- Status changed from Commenti to Risolto
